Summary:	pgaudit13_set_user - PostgreSQL extension allowing privilege escalation with enhanced logging and control
Name:		pgaudit13_set_user
Version:	%{set_user_specfile_version}
Release:	%{set_user_specfile_release}%{?dist}
Provides:	pgaudit13_set_user = %{version}-%{release}
URL:            http://pgaudit.org/
License:	PostgreSQL
Group:		Applications/Database
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source:		pgaudit13_set_user.tar.gz
Packager:	Crunchy Packaging Team <packagers@crunchydata.com>

BuildRequires:	postgresql%{pgmajorversion}

Requires:	postgresql%{pgmajorversion}

%description
PostgreSQL is an advanced Object-Relational database management
system. The PostgreSQL Audit extension (pgaudit) provides detailed
session and/or object audit logging via the standard PostgreSQL
logging facility. The set_user part of that extension allows for
extra logging with regard to granting of superuser privileges, and also
enforces a superuser-request policy over direct superuser logins.

%prep
# Copies sources and patches to BUILD
echo "=========="
echo "PREP PHASE"
echo "=========="
%setup -n pgaudit13_set_user

%build
echo "==========="
echo "BUILD PHASE"
echo "==========="
cd set_user

# Add the postgres bin directory to the PATH and build
export PATH=$PATH:%{pginstdir}/bin && %{__make} USE_PGXS=1

# The end result is /opt/git/crunchy-builder/projects/rpm/pg13/pgaudit13_set_user/BUILD/pgaudit13_set_user/set_user/set_user.so

%install
echo "============="
echo "INSTALL PHASE"
echo "============="
# All items here happen inside of the directory "BUILD/postgres"
cd set_user
%{__install} -d ${RPM_BUILD_ROOT}%{pginstdir}/lib/
%{__install} -d ${RPM_BUILD_ROOT}%{pginstdir}/include/
%{__install} -m 755 set_user.so ${RPM_BUILD_ROOT}%{pginstdir}/lib
%{__install} -m 644 set_user.h ${RPM_BUILD_ROOT}%{pginstdir}/include
%{__install} -d ${RPM_BUILD_ROOT}%{pginstdir}/share/extension
%{__install} -m 644 set_user.control \
                    set_user--1.0--1.1.sql \
                    set_user--1.1--1.4.sql \
                    set_user--1.4--1.5.sql \
                    set_user--1.5--1.6.sql \
                    set_user--1.6--2.0.sql \
                    set_user--2.0.sql \
                    ${RPM_BUILD_ROOT}%{pginstdir}/share/extension

%clean
echo "==========="
echo "CLEAN PHASE"
echo "==========="
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%{pginstdir}/lib/set_user.so
%{pginstdir}/include/set_user.h
%{pginstdir}/share/extension/set_user--1.0--1.1.sql
%{pginstdir}/share/extension/set_user--1.1--1.4.sql
%{pginstdir}/share/extension/set_user--1.4--1.5.sql
%{pginstdir}/share/extension/set_user--1.5--1.6.sql
%{pginstdir}/share/extension/set_user--1.6--2.0.sql
%{pginstdir}/share/extension/set_user--2.0.sql
%{pginstdir}/share/extension/set_user.control
%doc set_user/LICENSE
%doc set_user/README.md

%changelog
* Mon Sep 21 2020 John Harvey <john.harvey@crunchydata.com>
 - REL 2.0.0 support
* Thu May 17 2018 John Harvey <john.harvey@crunchydata.com>
 - REL 1.6.0 support
* Thu Apr 19 2018 John Harvey <john.harvey@crunchydata.com>
 - REL 1.5.0 support
* Mon Jul 17 2017 John Harvey <john.harvey@crunchydata.com>
 - REL 1.4.0 support
* Wed Aug 24 2016 Heath Lord <heath.lord@crunchydata.com>
 - Changing specfile to use PGXS to cleanup specfile and increase build speed
* Thu Dec 3 2015 John Harvey <john.harvey@crunchydata.com>
 - Initial version of specfile.
